/*
 * Copyright 2013 Graham Smith
 */
package uk.co.wobblycogs.samplefx4;

import java.io.IOException;
import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.Query;

/**
 * Handles services required by people.
 *
 * @author Graham Smith
 */
public class PersonService extends AbstractService<Person> {

	public PersonService(String persistenceUnitName) throws IOException {
		super(persistenceUnitName);
	}

	@Override
	public Person find(Long id) {
		EntityManager em = emf.createEntityManager();
		return em.find(Person.class, id);
	}

	public List<Person> findAll() {
		EntityManager em = emf.createEntityManager();
		Query q = em.createNamedQuery(Person.FIND_ALL);
		List<Person> results = q.getResultList();
		return results;
	}

	public List<Person> findUnassigned() {
		EntityManager em = emf.createEntityManager();
		Query q = em.createNamedQuery(Person.FIND_UNASSIGNED);
		List<Person> results = q.getResultList();
		return results;
	}

	public void deleteAll() {
		EntityManager em = emf.createEntityManager();
		Query q = em.createNamedQuery(Person.DELETE_ALL);
		em.getTransaction().begin();
		q.executeUpdate();
		em.getTransaction().commit();
	}
}
