package uk.co.wobblycogs.samplefx4;

import java.io.Serializable;

/**
 * Interface for standard persistence services. The abstract class
 * {@code AbstractService} serves as a useful base class for all services and
 * provides easy access to things like the {@code EntityManagerFactory}.
 *
 * @author Graham Smith
 */
public interface Service<T extends Serializable> {

	T find(Long id);

	void remove(T item);

	void persist(T item);

	T merge(T item);
}
